# Update Threat

Updates custom threats with given arguments

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

The Update Threat endpoint allows you to modify an existing custom threat by updating its name, objectives, actions, or result conditions.

  • The threat ID to be updated must be specified in the request path.

Example for Basic Threat Update

Update a simple custom threat with a single objective containing two actions.

curl --location 'https://api.picussecurity.com/v1/threat-library/threats' \
--header 'Authorization: Bearer access_token' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Updated-Example-Threat",
    "result_condition": "OBJ1",
    "objectives": [
        {
            "name": "Collection",
            "result_condition": "A1 AND A2",
            "action_ids": [
                33043,
                33044
            ]
        }
    ]
}'
{
    "threat": {
        "id": 110669,
        "display_id": 183672,
        "created_at": "2025-06-24T07:19:23.72964766Z",
        "name": "Updated-Example-Threat",
        "severity": "Medium",
        "tags": [
            "Custom"
        ],
        "affected_os": [
            "Windows"
        ],
        "description": ""
    }
}
Path Params
uint64
required

Threat ID (URI parameter)

Body Params
affected_os
array of strings

Affected OS
[Windows]

affected_os
string

Description

uint64

from threat id

string

Name

objectives
array of objects

Objectives

objectives
string

Result condition
type: string

string

Threat severity level
options: High, Medium and Low

tags
array of strings

Tags

tags
threat_actor_id
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json